:: Verify the supported OS
:: Verify user logged in as with administrator privileges
:: Verify Dotnet Framework v3.5 SP1 or greater is installed and if not then install Dotnet Framework v3.5 SP1
:: Resume the installation of Accent application

@Echo Off

Set osname=
Set OS_Found=N
Set Display_Msg="Current OS not supported"

For /F "tokens=*" %%a in ('systeminfo') Do call :SysInfo "%%a"

echo %osname% | Find /I "windows xp" > nul
if %ERRORLEVEL% == 0 Set OS_Found=Y

echo %osname% | Find /I "windows vista" > nul
if %ERRORLEVEL% == 0 Set OS_Found=Y

echo %osname% | Find /I "windows 7" > nul
if %ERRORLEVEL% == 0 Set OS_Found=Y

if %OS_Found% == Y (goto OS_Supported) else (goto Exit_Installation)

:SysInfo
set osname=%osname% %1

CLS

:OS_Supported
set admin=N
set domain=%USERDOMAIN%\

Set Display_Msg="Current user not having admin privileages to begin the installation"

if /i "%domain%" EQU "%computername%\" set domain=
set user=%domain%%username%

for /f "Tokens=*" %%a in ('net localgroup administrators^|find /i "%user%"') do set admin=Y

::if %admin% == Y (goto User_Admin) else (goto Exit_Installation)

CLS

:User_Admin
Set Display_Msg=

reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5"

CLS
if Not %ERRORLEVEL% == 0 goto FW_Notfound

For /F "tokens=*" %%b in ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" /v "SP"^|Find /I "SP"') do set regEntry=%%b
echo %regEntry% | Find /I "0x0" > nul

CLS
if Not %ERRORLEVEL% == 0 (goto FW_Found) else (goto FW_Notfound)

:FW_Found
goto Resume_Install

:FW_Notfound
Set Display_Msg="Installation of Framework v3.5 SP1 was aborted by the user"
Echo Installing Dotnet Framework 3.5 SP1
start /wait Prerequisite\dotnetfx35.exe

reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5"

CLS
if Not %ERRORLEVEL% == 0 goto Exit_Installation

For /F "tokens=*" %%b in ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" /v "SP"^|Find /I "SP"') do set regEntry=%%b
echo %regEntry% | Find /I "0x0" > nul

CLS
if %ERRORLEVEL% == 0 goto Exit_Installation

Set Display_Msg=
goto Resume_Install

:Resume_Install
Set Display_Msg=
Echo Starting Centork Accent setup

If Not Exist "C:\Temp" Mkdir "C:\Temp" > nul
Echo Launch Condition Log>C:\Temp\LaunchCondition.log

Accent_Setup.msi
goto Exit_Installation

:Exit_Installation
Del C:\Temp\LaunchCondition.log /Q /S > nul
CLS

if Not %Display_Msg% == nul Echo Msgbox %Display_Msg%,64,"Accent">%TEMP%\tempmsg.vbs&%TEMP%\tempmsg.vbs
Del %TEMP%\tempmsg.vbs /Q /S > nul
CLS
Exit